'use strict';

const index$1 = require('./index-7cdf1df1.js');
const index = require('./index-c2a077ae.js');
require('./attachment-c2bc9126.js');

// component generator
const render = (field, value, errors, disabled, onFieldChange, onFieldBlur) => index$1.h("dvn-field-input-attachment", { disabled: disabled, field: field, errors: errors, onChange: (v) => onFieldChange(field, v), onBlur: () => onFieldBlur(field), value: value });
// register 'date' field for json form generations
index.registerField('attachment', render);
